# This file created by conda-build 3.23.3
# ------------------------------------------------

package:
  name: zstd
  version: 1.5.2
source:
  patches: null
  sha256: f7de13462f7a82c29ab865820149e778cbfe01087b3a55b5332707abf9db4a6e
  url: https://github.com/facebook/zstd/archive/v1.5.2.tar.gz
build:
  number: 6
  run_exports:
    - zstd >=1.5.2,<1.6.0a0
  string: h3eb15da_6
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.39 he00db2b_1
    - binutils_linux-64 2.39 h5fc0e48_11
    - cmake-no-system 3.16.5 h9c3ff4c_0
    - gcc_impl_linux-64 11.3.0 hab1b70f_19
    - gcc_linux-64 11.3.0 he6f903b_11
    - gxx_impl_linux-64 11.3.0 hab1b70f_19
    - gxx_linux-64 11.3.0 hc203a17_11
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - ld_impl_linux-64 2.39 hcc3a1bd_1
    - libgcc-devel_linux-64 11.3.0 h210ce93_19
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libsanitizer 11.3.0 h239ccf8_19
    - libstdcxx-devel_linux-64 11.3.0 h210ce93_19
    - libstdcxx-ng 12.2.0 h46fd767_19
    - make 4.3 hd18ef5c_1
    - ninja 1.11.0 h924138e_0
    - sysroot_linux-64 2.12 he073ed8_15
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libstdcxx-ng 12.2.0 h46fd767_19
    - libzlib 1.2.13 h166bdaf_4
    - zlib 1.2.13 h166bdaf_4
  run:
    - libgcc-ng >=12
    - libstdcxx-ng >=12
    - libzlib >=1.2.13,<1.3.0a0
test:
  commands:
    - test -f ${PREFIX}/lib/libzstd.so
    - test ! -f ${PREFIX}/lib/libzstd.a
    - test -f ${PREFIX}/include/zstd.h
    - zstd -be -i5
    - test -f ${PREFIX}/lib/pkgconfig/libzstd.pc
    - export PKG_CONFIG_PATH=$PREFIX/lib/pkgconfig
    - pkg-config --cflags libzstd
    - cd cf_test
    - cmake $CMAKE_ARGS .
  files:
    - cf_test/
  requires:
    - cmake
    - gcc_linux-64 11.*
    - pkg-config
about:
  description: 'Zstandard is a real-time compression algorithm, providing high compression

    ratios. It offers a very wide range of compression / speed trade-off, while

    being backed by a very fast decoder. It also offers a special mode for

    small data, called dictionary compression, and can create dictionaries from

    any sample set. Zstandard library is provided as open source software using

    a BSD license.

    '
  dev_url: https://github.com/facebook/zstd
  doc_url: https://facebook.github.io/zstd/zstd_manual.html
  home: http://www.zstd.net
  license: BSD-3-Clause
  license_file: LICENSE
  summary: Zstandard - Fast real-time compression algorithm
extra:
  copy_test_source_files: true
  feedstock-name: zstd
  final: true
  recipe-maintainers:
    - hmaarrfk
    - msarahan
    - rmax
    - xhochy
